package com.agilecontrol.nea.core.control.ejb.command;

import com.agilecontrol.nea.core.control.ejb.Command;
import com.agilecontrol.nea.core.control.event.DefaultWebEvent;
import com.agilecontrol.nea.core.control.event.NDSEventException;
import com.agilecontrol.nea.core.control.util.ValueHolder;
import com.agilecontrol.nea.core.control.web.WebUtils;
import com.agilecontrol.nea.core.security.User;
import com.agilecontrol.nea.core.util.MessagesHolder;
import com.agilecontrol.nea.util.Configurations;
import com.agilecontrol.nea.util.NDSException;
import java.io.File;
import java.rmi.RemoteException;
import org.json.JSONArray;
import org.json.JSONObject;

public class DeleteFile extends Command {

   public ValueHolder execute(DefaultWebEvent event) throws NDSException, RemoteException {
      User usr = this.helper.getOperator(event);
      int clientId = usr.getClientId();
      int orgId = usr.getOrgId();
      int uId = usr.getId().intValue();
      Configurations conf = (Configurations)WebUtils.getServletContextManager().getActor("nea.configs");
      String svrPath = conf.getProperty("export.root.nds", "/aic/home") + File.separator + usr.getClientDomain() + File.separator + usr.getId();

      try {
         JSONArray e = event.getJSONObject().getJSONArray("files");
         String msg = "";
         new ValueHolder();
         JSONObject jo = new JSONObject();
         if(e != null) {
            for(int v = 0; v < e.length(); ++v) {
               String filePath = e.getString(v);
               if(filePath != null && !filePath.trim().equals("")) {
                  filePath = filePath.trim();
                  File file = new File(svrPath + File.separator + filePath);
                  if(file.exists() && file.isFile()) {
                     File desc = new File(svrPath + File.separator + "desc" + File.separator + filePath);
                     if(file.delete()) {
                        desc.delete();
                        msg = msg + "@file@:" + file.getName() + " @deleted@<br>";
                     } else {
                        msg = msg + "@file@:" + file.getName() + " @fail-to-delete@<br>";
                     }
                  } else {
                     msg = msg + "@file@:" + file.getName() + " @not-exists@<br>";
                  }
               }
            }

            msg = MessagesHolder.getInstance().translateMessage(msg, event.getLocale());
            jo.put("message", msg);
         }

         ValueHolder var17 = new ValueHolder();
         var17.put("data", jo);
         return var17;
      } catch (Throwable var16) {
         this.logger.error("", var16);
         if(!(var16 instanceof NDSException)) {
            throw new NDSEventException("异常", var16);
         } else {
            throw (NDSException)var16;
         }
      }
   }
}
